Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - r -

- r : BigStruct, enum_sum_memo
- r_stderr : rb_ractor_struct
- r_stdin : rb_ractor_struct
- r_stdout : rb_ractor_struct
- ractor : rb_thread_struct, rb_tp_struct, rb_vm_struct
- ractor_local : rb_global_entry
- ractor_safe : rb_ext_config
- ractors : rb_ractor_waiting_list
- raised_flag : rb_execution_context_struct
- range : rb_objspace
- rational : RVALUE
- raw : curfile64_info, file_in_zip64_read_info_s
- rbuf : rb_io_t
- rcompactor : rb_objspace
- reach_end : OptExactInfo
- read : select_args
- read_barrier_faults : rb_objspace
- read_buffer : file_in_zip64_read_info_s
- read_only : collect_outer_variable_name_data
- readable : load_arg
- readagain_len : rb_econv_t, rb_transcoding
- readbuf : rb_transcoding
- readconv : rb_io_t
- readonly : rb_memory_view_t
- real : RComplex
- realvar : olevariantdata
- reason : objspace_and_reason
- rebuilds_num : st_table
- rec : obj_traverse_data, obj_traverse_replace_data
- rec_hash : obj_traverse_data, obj_traverse_replace_data
- receiving_mutex : rb_ractor_struct
- recognized_len : rb_transcoding
- record : st_table_entry
- records : rb_objspace
- recur : method_entry_arg
- recv : METHOD, rb_calling_info, rescue_funcall_args
- redefined_flag : rb_vm_struct
- redirect_fds : rb_execarg
- redo_label : iseq_compile_data
- reduce_n : cparse_params
- reduce_table : cparse_params
- ref1 : OnigToken
- refcnt : iseq_label_data
- refcount : _Win32OLEIDispatch
- refined : rb_method_definition_struct
- refined_class : rb_classext_struct
- refinements : rb_cref_struct
- refs : OnigToken, rof_data
- reg : INamesArg, ScanEnv
- regex : strscanner
- regexp : RMatch, RVALUE
- region : OnigMatchArg
- regnum : EncloseNode
- regs : rmatch, strscanner
- rel : OnigToken
- release_func : rb_memory_view_entry_t
- remembered_shady_count : verify_internal_consistency_struct
- remote : inetsock_arg
- removed : trace_var
- ReparseDataLength : rb_w32_reparse_buffer_t
- ReparseTag : rb_w32_reparse_buffer_t
- repeat : _OnigStackType, OnigToken, rb_memory_view_item_component_t
- repeat_inc : _OnigStackType
- repeat_range : re_pattern_buffer
- repeat_range_alloc : re_pattern_buffer
- replacement : obj_traverse_replace_data
- replacement_allocated : rb_econv_t
- replacement_enc : rb_econv_t
- replacement_len : rb_econv_t
- replacement_str : rb_econv_t
- report_on_exception : rb_thread_struct
- req_list : ruby_cmdline_options
- required_num : rb_iseq_constant_body
- res : getaddrinfo_arg, inetsock_arg, udp_arg, udp_send_arg
- rescued : iseq_label_data
- reserved : MEMO
- Reserved : NET_LUID
- reserved : rb_data_type_struct, rb_imemo_tmpbuf_struct, rb_iseq_new_with_callback_callback_func
- Reserved : rb_w32_reparse_buffer_t
- reserved : vm_ifunc, vm_throw_data, z_stream_s
- reserved_cnt : rb_ractor_queue
- reset : gz_state, zstream::zstream_funcs
- resetsize_func : rb_transcoder
- resetstate_func : rb_transcoder
- resolv_timeout : inetsock_arg
- resp : callback_args
- respond : rescue_funcall_args
- respond_to_missing : rescue_funcall_args
- rest : args_info
- rest_arg : rb_args_info, rb_ary_pattern_info
- rest_dupped : args_info
- rest_index : args_info
- rest_read_compressed : file_in_zip64_read_info_s
- rest_read_uncompressed : file_in_zip64_read_info_s
- rest_start : rb_iseq_constant_body
- result : autoload_state, big2str_struct, branch_coverage_result_builder, dh_blocking_gen_arg, dsa_blocking_gen_arg, equal_data, flat_map_i_arg, loaded_feature_searching, rb_econv_t, rsa_blocking_gen_arg, transform_keys_args, wait_for_single_fd
- resume_position : rb_transcoding
- resuming_fiber : rb_fiber_struct
- ret : INamesArg, open_struct, rb_econv_init_by_convpath_t, waitpid_state
- ret_addr : _OnigStackType
- retval : cparse_params, nogvl_ffi_call_args, rb_vm_tag
- rev : nmin_data
- reverse : constat
- rgengc : rb_objspace
- right : rbimpl_size_mul_overflow_tag
- right_anchor : OptAncInfo
- ripper_id___end__ : ripper_scanner_ids_t
- ripper_id_backref : ripper_scanner_ids_t
- ripper_id_backtick : ripper_scanner_ids_t
- ripper_id_CHAR : ripper_scanner_ids_t
- ripper_id_comma : ripper_scanner_ids_t
- ripper_id_comment : ripper_scanner_ids_t
- ripper_id_const : ripper_scanner_ids_t
- ripper_id_cvar : ripper_scanner_ids_t
- ripper_id_embdoc : ripper_scanner_ids_t
- ripper_id_embdoc_beg : ripper_scanner_ids_t
- ripper_id_embdoc_end : ripper_scanner_ids_t
- ripper_id_embexpr_beg : ripper_scanner_ids_t
- ripper_id_embexpr_end : ripper_scanner_ids_t
- ripper_id_embvar : ripper_scanner_ids_t
- ripper_id_float : ripper_scanner_ids_t
- ripper_id_gvar : ripper_scanner_ids_t
- ripper_id_heredoc_beg : ripper_scanner_ids_t
- ripper_id_heredoc_end : ripper_scanner_ids_t
- ripper_id_ident : ripper_scanner_ids_t
- ripper_id_ignored_nl : ripper_scanner_ids_t
- ripper_id_imaginary : ripper_scanner_ids_t
- ripper_id_int : ripper_scanner_ids_t
- ripper_id_ivar : ripper_scanner_ids_t
- ripper_id_kw : ripper_scanner_ids_t
- ripper_id_label : ripper_scanner_ids_t
- ripper_id_label_end : ripper_scanner_ids_t
- ripper_id_lbrace : ripper_scanner_ids_t
- ripper_id_lbracket : ripper_scanner_ids_t
- ripper_id_lparen : ripper_scanner_ids_t
- ripper_id_nl : ripper_scanner_ids_t
- ripper_id_op : ripper_scanner_ids_t
- ripper_id_period : ripper_scanner_ids_t
- ripper_id_qsymbols_beg : ripper_scanner_ids_t
- ripper_id_qwords_beg : ripper_scanner_ids_t
- ripper_id_rational : ripper_scanner_ids_t
- ripper_id_rbrace : ripper_scanner_ids_t
- ripper_id_rbracket : ripper_scanner_ids_t
- ripper_id_regexp_beg : ripper_scanner_ids_t
- ripper_id_regexp_end : ripper_scanner_ids_t
- ripper_id_rparen : ripper_scanner_ids_t
- ripper_id_semicolon : ripper_scanner_ids_t
- ripper_id_sp : ripper_scanner_ids_t
- ripper_id_symbeg : ripper_scanner_ids_t
- ripper_id_symbols_beg : ripper_scanner_ids_t
- ripper_id_tlambda : ripper_scanner_ids_t
- ripper_id_tlambeg : ripper_scanner_ids_t
- ripper_id_tstring_beg : ripper_scanner_ids_t
- ripper_id_tstring_content : ripper_scanner_ids_t
- ripper_id_tstring_end : ripper_scanner_ids_t
- ripper_id_words_beg : ripper_scanner_ids_t
- ripper_id_words_sep : ripper_scanner_ids_t
- rlimit_limits : rb_execarg
- rmatch : RMatch
- root : rb_ast_body_struct
- root_category : dump_config
- root_fiber : rb_thread_struct
- root_jmpbuf : rb_thread_struct
- root_lep : rb_execution_context_struct
- root_svar : rb_execution_context_struct
- roots : dump_config
- rq : receive_block_data
- rr : BigStruct
- RR : stack_node
- rs : getline_arg
- rsa : rsa_blocking_gen_arg
- rset : select_set
- rstruct : RVALUE
- ruby2_keywords : rb_args_info, rb_iseq_constant_body
- ruby__end__seen : parser_params
- ruby_encoding_index : OnigEncodingTypeST
- ruby_sourcefile : parser_params
- ruby_sourcefile_string : parser_params
- ruby_sourceline : parser_params
- ruleno : cparse_params
- run : rb_objspace, zstream::zstream_funcs
- running : rb_hook_list_struct, rb_vm_struct, traceobj_arg
- running_ec : rb_ractor_struct
- running_thread : iseq_inline_storage_entry
- running_time_us : rb_thread_struct
- rvalue : extended_cif